=== plugins/CMakeLists.txt ===
add_subdirectory(one-key-login)
# add_subdirectory(examples)
