=== debian/changelog ===
dde-session-shell (5.5.100.2-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 11 Apr 2023 13:29:17 +0800

dde-session-shell (5.5.93) unstable; urgency=low

  * bump version to 5.5.93

 -- echengqi <echengqi@uniontech.com>  Mon, 10 Jan 2023 13:40:17 +0000
