=== debian/changelog ===
dde-session-shell (6.0.21) unstable; urgency=medium

  * fix: 修复字体字号为20的时候锁屏界面切换用户列表文字被遮挡的问题
  * fix: incorrect scaling of greeter interface on first login

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 19 Jun 2024 14:34:01 +0800

dde-session-shell (6.0.20) unstable; urgency=medium

  * fix: greeter unable to start(Issue: https://github.com/linuxdeepin/developer-center/issues/8681)

 -- Zhang Kun <zhangkun2@uniontech.com>  Tue, 21 May 2024 15:02:26 +0800

dde-session-shell (6.0.19) unstable; urgency=medium

  * launch system-monitor by am dbus

 -- rewine <luhongxu@deepin.org>  Wed, 08 May 2024 18:24:15 +0800

dde-session-shell (6.0.18) unstable; urgency=medium

  * chore: lock button focus policy tweak(Issue: https://github.com/linuxdeepin/developer-center/issues/6876)
  * fix: can't login after recreating user(Issue: #6512)
  * fix: content margin for user list(Issue: https://github.com/linuxdeepin/developer-center/issues/5704)
  * fix: password level hint not visible(Issue: https://github.com/linuxdeepin/developer-center/issues/5588)(Influence: https://github.com/linuxdeepin/dde-session-shell/issues/302)
  * fix: alert and hint disappear when hide(Issue: https://github.com/linuxdeepin/developer-center/issues/5622)

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 22 Mar 2024 15:45:49 +0800

dde-session-shell (6.0.17) unstable; urgency=medium

  * fix: trayWidget shouldn't acquire focus
  * fix: add runtime dependency `onboard` for dde-session-shell

 -- YuMing He <heyuming@deepin.org>  Tue, 30 Jan 2024 10:17:50 +0800

dde-session-shell (6.0.16) unstable; urgency=medium

  * fix: switch tty can not lock screen
  * fix: default locale for time
  * fix: no translation for time in greeter

 -- dengbo <dengbo@deepin.org>  Thu, 25 Jan 2024 09:18:05 +0800

dde-session-shell (6.0.15) unstable; urgency=medium

  * fix: greeter edition name show error with locale change
  * fix: do not use oldam to invoke dbus server

 -- chenhongtao <chenhongtao@deepin.org>  Fri, 05 Jan 2024 14:33:58 +0800

dde-session-shell (6.0.14) unstable; urgency=medium

  * fix: start for a long time because of trying to invoke am

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 26 Nov 2023 16:32:52 +0800

dde-session-shell (6.0.13) unstable; urgency=medium

  * chore: Adapt time format feature(Issue: #5902)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 26 Oct 2023 17:19:19 +0800

dde-session-shell (6.0.12) unstable; urgency=medium

  * feat: support no password unlock

 -- chenhongtao <chenhongtao@deepin.org>  Thu, 19 Oct 2023 10:31:18 +0800

dde-session-shell (6.0.11) unstable; urgency=medium

  * Release 6.0.11

 -- Yixue Wang <wangyixue@deepin.org>  Thu, 07 Sep 2023 11:05:13 +0800

dde-session-shell (6.0.10) unstable; urgency=medium

  * feat: use a special pam module
  * chore(CI): correct source name and depends
  * fix: qdbusxml2cpp-fix not found
  * feat: add toggle password button
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore(CI): Update obs tag build workflow

 -- Yixue Wang <wangyixue@deepin.org>  Mon, 14 Aug 2023 11:22:34 +0800

dde-session-shell (6.0.9) unstable; urgency=medium

  * feat: use configure_file set path in DdeSessionShellConfig.cmake
  * fix: incorrect position of auth widget(Issue: https://github.com/linuxdeepin/developer-center/issues/4184)
  * fix: incorrect position and size
  * fix: shadow error of tips widget(Issue: https://github.com/linuxdeepin/developer-center/issues/4298)

 -- wangyixue <wangyixue@deepin.org>  Fri, 12 May 2023 16:25:15 +0800

dde-session-shell (6.0.8) unstable; urgency=medium

  * fix: aliasing of user avatar(Issue: https://github.com/linuxdeepin/developer-center/issues/3911)
  * fix: remove unnecessary margin in mediawidget(Issue: https://github.com/linuxdeepin/dtk/issues/24)

 -- wangyixue <wangyixue@deepin.org>  Tue, 18 Apr 2023 09:57:34 +0800

dde-session-shell (6.0.7) unstable; urgency=medium

  * fix: second click of network won't close
  * feat: add module path debug mode
  * fix: popup doesn't reset parent
  * fix: continue load plugin if not init
  * fix: wrong text width for painting
  * fix: user popup list doesn't update locale
  * fix: acquiring logged in users failed
  * fix: black rectangular background of popup
  * fix(greeter): remove delay for startSessionSync
  * fix: display error of user type
  * fix: archlinux build ci
  * fix: dependencies on archlinux
  * feat: add archlinux build

 -- wangyixue <wangyixue@uniontech.com>  Thu, 30 Mar 2023 14:46:12 +0800

dde-session-shell (6.0.6) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 暂时屏蔽UnionID重置密码功能(Bug: 182925)(Influence: 通过UniondID重置密码)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 13 Jan 2023 10:23:19 +0800

dde-session-shell (6.0.5.2) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * Revert "Revert "feat: 社区版屏蔽显示协议切换入口""(Task: 236183)

 -- caixiangrong <caixiangrong@uniontech.com>  Wed, 11 Jan 2023 12:05:22 +0800

dde-session-shell (6.0.5.1) unstable; urgency=medium

  * UNRELEASED

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 19:18:07 +0800

dde-session-shell (6.0.4) unstable; urgency=medium

  [ TagBuilder ]
  * chore: 更新翻译文件(Influence: 无。)
  * fix: 解决有些情况下关机阻止界面取消后不回到桌面的情况(Bug: 171541)(Influence: 关机阻止界面退出后的显示。)
  * chore: V23接口改造适配(Task: 207483)(Influence: 无)
  * feat: 社区版屏蔽显示协议切换入口(Task: 224723)(Influence: 社区版屏蔽显示协议切换入口)
  * fix: 修复登录界面缩放错误的问题(Bug: 176397)(Influence: 设置缩放后登录界面和桌面的缩放不一致)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:18:26 +0800

dde-session-shell (6.0.3) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 修复修改密码提示异常的问题(Bug: 141575)(Influence: 修改密码功能)
  * chore: 更新changelog(Task: 160471)(Influence: 版本号)
  * fix: 修复锁屏界面输入正确密码后会再次进入锁屏界面的问题。(Bug: 149269)(Influence: 无)
  * feat: 修改登录锁屏右下角切换用户形式为用户列表。(Task: 124693)(Influence: 登录锁屏右下角切换用户按钮功能，以及切换用户。)

