## dde-session-shell 6.0.23

=== tests/dde-lock/CMakeLists.txt ===
--- 
+++ 
@@ -4,15 +4,14 @@
 
 set(LOCK_TEST_SRCS
     ${LOCK_TEST}
-    ${authority_DBUS_SCRS}
     ${GLOBAL_UTILS}
     ${GLOBAL_UTILS_DBUS}
     ${GLOBAL_UTILS_KEYBOARDMONITOR}
     ${WIDGETS}
     ${SESSION_WIDGETS}
-    ${haweiswitchos_DBUS_SCRS}
     ${AUTHENTICATE}
-    ${PLUGIN_MANAGER}
+    ${QT_DBUS_EXTENDED}
+    ${DBUS_DATA_TYPES}
     ${PROJECT_SOURCE_DIR}/src/dde-lock/lockframe.cpp
     ${PROJECT_SOURCE_DIR}/src/dde-lock/lockworker.cpp
     ${PROJECT_SOURCE_DIR}/src/dde-lock/dbus/dbuslockagent.cpp
@@ -30,7 +29,6 @@
 target_include_directories(${BIN_NAME} PUBLIC
     ${DTKWIDGET_INCLUDE_DIR}
     ${DTKCORE_INCLUDE_DIR}
-    ${DFrameworkDBus_INCLUDE_DIRS}
     ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
     ${QGSettings_INCLUDE_DIRS}
     ${PAM_INCLUDE_DIR}
@@ -39,11 +37,11 @@
     ${PROJECT_BINARY_DIR}
     ${PROJECT_SOURCE_DIR}/src/dde-lock
     ${PROJECT_SOURCE_DIR}/src/dde-lock/dbus
+    ${Greeter_INCLUDE_DIRS}
 )
 
 target_link_libraries(${BIN_NAME} PRIVATE
     ${Qt5Test_LIBRARIES}
-    ${DFrameworkDBus_LIBRARIES}
     ${DtkWidget_LIBRARIES}
     ${DtkCore_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
@@ -56,8 +54,7 @@
     ${Qt5Concurrent_LIBRARIES}
     ${Qt5X11Extras_LIBRARIES}
     ${Qt5Network_LIBRARIES}
-    KF5::WaylandClient
+    ${Greeter_LIBRARIES}
     -lpthread
     -lm
-    -lcrypto
 )
